PluginInfo (Solr 3.6.2 API)
Keywords: org.apache.solr.core.PluginInfo class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.core
Class PluginInfo

    java.lang.Object
      org.apache.solr.core.PluginInfo

    public class PluginInfo

extends Object

An Object which represents a Plugin of any type

Version:
  $Id: PluginInfo.java 1144417 2011-07-08 18:29:20Z hossman $

Field Summary
`Map<String,String>` | `attributes`
`List<PluginInfo>` | `children`
`String` | `className`
`static PluginInfo` | `EMPTY_INFO`
`NamedList` | `initArgs`
`String` | `name`
`String` | `type`

Constructor Summary
`PluginInfo(Node node, String err, boolean requireName, boolean requireClass)`
`PluginInfo(String type, Map<String,String> attrs, NamedList initArgs, List<PluginInfo> children)`

Method Summary
`PluginInfo` | `getChild(String type)`
`List<PluginInfo>` | `getChildren(String type)` Filter children by type
`boolean` | `isDefault()`
`boolean` | `isEnabled()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public final String name

### className

    public final String className

### type

    public final String type

### initArgs

    public final NamedList initArgs

### attributes

    public final Map<String,String> attributes

### children

    public final List<PluginInfo> children

### EMPTY_INFO

    public static final PluginInfo EMPTY_INFO

Constructor Detail

### PluginInfo

    public PluginInfo(String type,
                      Map<String,String> attrs,
                      NamedList initArgs,
                      List<PluginInfo> children)

### PluginInfo

    public PluginInfo(Node node,
                      String err,
                      boolean requireName,
                      boolean requireClass)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### isEnabled

    public boolean isEnabled()

### isDefault

    public boolean isDefault()

### getChild

    public PluginInfo getChild(String type)

### getChildren

    public List<PluginInfo> getChildren(String type)

  Filter children by type

  Parameters:
    `type` - The type name. must not be null
  Returns:
    The mathcing children

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD